/*
 * This code was written by Cathy Bishop, Red Rocks Instructor for CSC160
 *
 * You will add your functions to this file - please add your comment-block!
 *
 */
 
#include <iostream>   
#include <cstdio>      
#include <cstdlib>    
#include <cmath>       
#include <string>

#include	"myfuncts.h"
#include	"class160.h"

/*
 * These variables are used by decimals() to re-establish the initial default
 * formatting when it is called with n set to 0.
 *
 */

static int init_precision = cout.precision();
static long init_flags = cout.flags();
static long int init_x_flags = cout.setf(0);

/*
 * Function: void decimals(ostream &cout, int n)
 *
 * This function changes the passed-in ostream object
 * so that any floating-point values that are sent to
 * it are displayed with exactly n decimal points.
 *
 * When n is 0, the ostream is set back to default
 * formatting.
 *
 * Parameters:
 *
 * cout - the ostream object to change.
 * n    - the number of decimal places to show.
 *
 * Returns:
 *
 * None
 *
 */

void decimals(ostream & cout, int n )
{
	// If n is 0, reset formatting to initial defaults

	if(n==0)
	{
		cout.precision(init_precision);
		cout.flags(init_flags);
		cout.setf(init_x_flags);
		return;
	}

	// if n > 0, show n digits passed the decimal point

	if(n > 0 )
	{
		cout.setf(ios::fixed, ios::floatfield);
		cout.setf(ios::showpoint);
		cout.precision(n);
	}
}

/*
 * Function: void reset_is(istream &is)
 *
 * This function resets the state of the passed-in
 * input stream and throws away all data until a newline
 * or an end-of-fileis reached. This function is usefule
 * for when the input stream isin a bad state, for instance
 * when extracting an int and the user enters character data.
 *
 * Parameters:
 *
 * is   - the istream object to change.
 *
 * Returns:
 *
 * None
 *
 */

void reset_is(istream & is)
{
	char ch;

	// call clear() to reset the state 

	is.clear();

	// throw away all characters until until a newline or EOF

	ch = is.get();
	while ((ch != '\n') && (ch != EOF))
	{
		ch = is.get();
	}
	is.clear();
}

bool prompt_yn(string prompt)
{

int i = 0;

while(i == 0)
{
       if (prompt == "Y" || prompt == "y" || prompt == "YES" || prompt == "yes" || prompt == "SURE" || prompt == "sure" || prompt == "OK" || prompt == "ok" || prompt == "OKAY" || prompt == "okay")
       {
              return (true);
              i = 1;
       }

       else if (prompt == "NO" || prompt == "no" || prompt == "N" || prompt == "n")
       {
              return (false);
              i = 1;
       }

       else
              cout << "Bad input!\n";
}
